package edu.unl.cse.soft161.inheritance_examples.dry_violation_in_caller;

import java.util.HashMap;
import java.util.Map;

public class Patient {
	private String name;
	private Map<String, Double>observations;
	private Bradycardia bradycardia;
	private Tachycardia tachycardia;
	
	public Patient(String name, Bradycardia bradycardia, Tachycardia tachycardia) {
		this.name = name;
		observations = new HashMap<String, Double>();
		this.bradycardia = bradycardia;
		this.tachycardia = tachycardia;
	}
	
	public Double getObservation(String concept) {
		return observations.get(concept);
	}
	
	public void setObservation(String concept, Double value) {
		observations.put(concept, value);
		if (bradycardia != null && bradycardia.affects(this)) {
			System.out.println("Warning: " + name + " has " + bradycardia + ".");
		}
		if (tachycardia != null && tachycardia.affects(this)) {
			System.out.println("Warning: " + name + " has " + tachycardia + ".");
		}
	}
}
