package edu.unl.cse.soft161.refactored.dry_violation_in_caller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Patient {
	private String name;
	private Map<String, Double>observations;
	private List<Condition> monitoredConditions;
	
	public Patient(String name, List<Condition>monitoredConditions) {
		this.name = name;
		observations = new HashMap<String, Double>();
		this.monitoredConditions = monitoredConditions;
	}
	
	public Double getObservation(String concept) {
		return observations.get(concept);
	}
	
	public void setObservation(String concept, Double value) {
		observations.put(concept, value);
		for (Condition condition : monitoredConditions) {
			if (condition != null && condition.affects(this)) {
				System.out.println("Warning: " + name + " has " + condition + ".");
			}
		}
	}
}
